# norootforbuild

Name:		libatomic_ops-devel
Summary:	A portable library for atomic memory operations
Version:	1.2
Release:	1.2
License:	see LICENSING.txt
Group:		Development/Languages/C and C++
URL:		http://www.hpl.hp.com/research/linux/atomic_ops/
Source:		libatomic_ops-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-build

%description
This package provides semi-portable access to hardware provided
atomic memory operations.  These might allow you to write code:

* That does more interesting things in signal handlers.
* Makes more effective use of multiprocessors by allowing you to
write clever lock-free code. Note that such code is very difficult
to get right, and will unavoidably be less portable than lock-based
code. It ia also not always faster than lock-based code. But it may
occasionally be a large performance win.
* To experiment with new and much better thread programming
paradigms, etc.

For details and licensing restrictions see the files in the doc
subdirectory.

%prep
%setup -q -n libatomic_ops-%{version}
autoreconf -fi
%{?suse_update_config:%{suse_update_config -f}}

%build
%configure
%__make %{?jobs:-j%{jobs}}

%install
%makeinstall

# done by doc macros
%__rm -r %{buildroot}%{_datadir}/libatomic_ops

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && %__rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING README
%doc doc/*.txt
%{_libdir}/lib*.a
%{_includedir}/*

%changelog
* Sat Dec 29 2007 Carsten Schoene <cs@linux-administrator.com>
- import for SLE_10 build

